cudnn_frontend::ExecutionPlanCache_v2
cudnn_frontend::ExecutionPlanCache_v1
cudnn_frontend_ExecutionPlanCache.h
std::map< std::pair< cudnn_frontend::feature_vector_t, std::string >, int32_t > using cudnn_frontend::ExecutionPlanCache_v2::SaturationTracker = std::map<std::pair<cudnn_frontend::feature_vector_t, std::string>, int32_t> SaturationTracker
SaturationTracker SaturationTracker cudnn_frontend::ExecutionPlanCache_v2::tracker tracker
int32_t int32_t cudnn_frontend::ExecutionPlanCache_v2::saturationCount saturationCount = 1
bool virtual bool cudnn_frontend::ExecutionPlanCache_v2::is_fastest_plan_stable (const cudnn_frontend::OperationGraph &op_graph, const std::string &tag) is_fastest_plan_stable is_fastest_plan_stable const cudnn_frontend::OperationGraph & op_graph const std::string & tag cudnn_frontend::ExecutionPlanCache_v1::cache_mutex cudnn_frontend::ExecutionPlanCache_v1::get_plan_from_cache cudnn_frontend::OperationGraph_v8::getFeatureVector cudnn_frontend::getLogger cudnn_frontend::OperationGraph_v8::getTag cudnn_frontend::ExecutionPlanCache_v1::name
void void cudnn_frontend::ExecutionPlanCache_v2::set_saturation_count (int32_t count) set_saturation_count int32_t count
cudnn_frontend::ExecutionPlanCache_v2::ExecutionPlanCache_v2
(const char *name_)
ExecutionPlanCache_v2
const char * name_
cudnn_frontend::ExecutionPlanCache_v1
cudnn_frontend::ExecutionPlanCache_v2
shared_ptr< OpaqueBackendPointer >
K
T
cudnnHandle_t
pair< cudnn_frontend::feature_vector_t, std::string >
std::vector< T >
+elements
std::array< T >
+elements
int32_t
std::map< std::pair< cudnn_frontend::feature_vector_t, std::string >, int32_t >
+keys
+elements
< std::pair< cudnn_frontend::feature_vector_t, std::string >, int32_t >
std::map< K, T >
+keys
+elements
std::vector< int64_t >
+elements
< int64_t >
float
cudnnBackendNumericalNote_t
cudnnStatus_t
std::basic_string< char >
std::array< cudnnBackendNumericalNote_t, CUDNN_NUMERICAL_NOTE_TYPE_COUNT >
+elements
< cudnnBackendNumericalNote_t, CUDNN_NUMERICAL_NOTE_TYPE_COUNT >
cudnn_frontend::ExecutionPlanCache_v1
#cache
#cache_mutex
#name
cudnn_frontend::ExecutionPlanCache_v2
-tracker
-saturationCount
cudnn_frontend::ExecutionPlan_v8
-execution_time_ms
-numeric_notes
-planTag
-handle
-engine_config
-workSpaceSize
mutex
int64_t
cudnn_frontend::BackendDescriptor
#err_msg
#pointer
#status
std::map< cudnn_frontend::feature_vector_t, cudnn_frontend::ExecutionPlan, cudnn_frontend::ExecutionPlanCache_v1::compare >
+elements
+keys
< cudnn_frontend::feature_vector_t, cudnn_frontend::ExecutionPlan, cudnn_frontend::ExecutionPlanCache_v1::compare >
std::string
- cudnn_frontend::ExecutionPlanCache_v2
  add_plan_to_cache
- cudnn_frontend::ExecutionPlanCache_v2
  cache
- cudnn_frontend::ExecutionPlanCache_v2
  cache_mutex
- cudnn_frontend::ExecutionPlanCache_v2
  ExecutionPlanCache_v1
- cudnn_frontend::ExecutionPlanCache_v2
  ExecutionPlanCache_v2
- cudnn_frontend::ExecutionPlanCache_v2
  FeatureVectorToPlanMap
- cudnn_frontend::ExecutionPlanCache_v2
  get_name
- cudnn_frontend::ExecutionPlanCache_v2
  get_plan_from_cache
- cudnn_frontend::ExecutionPlanCache_v2
  is_fastest_plan_stable
- cudnn_frontend::ExecutionPlanCache_v2
  name
- cudnn_frontend::ExecutionPlanCache_v2
  saturationCount
- cudnn_frontend::ExecutionPlanCache_v2
  SaturationTracker
- cudnn_frontend::ExecutionPlanCache_v2
  set_saturation_count
- cudnn_frontend::ExecutionPlanCache_v2
  tracker